Skip to main content
GET
Get List of APIs

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Query Parameters

compressed
enum<string>

Return smaller API list payload.

Available options:
1
api_type
enum<string>

API Type, internal or external.

Available options:
tcp,
rest,
graphql,
udg,
subgraph,
supergraph,
internal
category
string

Comma separated list of categories you want to filter Apis by.

auth_type
string

Comma separated list of authentication type you want to filter apis by.

base_apis
string

For versioned APIs, return only the base versions.If any value is sent in this query parameter only the base version will be returned

q
string

Query string for search/filtering.This will return all apis whose names matches the given pattern

p
integer

Use p query parameter to say which page you want returned. Send number less than 0 to return all items.

sort
enum<string>
  • 'name' - Sort by name in ascending order.
  • '-name' - Sort by name in descending order.
  • 'updated_at' - Sort by updated_at in ascending order.
  • '-updated_at' - Sort by updated_at in descending order.
  • 'created_at' - Sort by created_at in ascending order.
  • '-created_at' - Sort by created_at in descending order.
Available options:
name,
-name,
created_at,
-created_at,
updated_at,
-updated_at

Response

List of API definitions.

apis
object[] | null
pages
integer